<app-common-header name="Upgrade to Premium"> </app-common-header>

<ion-content>
  <p style = "margin: 15px;">Email</p>
  <div style="text-align: center;">
    <div class = 'box-email'>
      <ion-input [(ngModel)]="email"></ion-input>
    </div>
  </div>

  <p style = "margin: 15px;">Card information</p>
    <div class = 'box-card'>
      <div class ="v1"></div>
      <ion-grid>
        <ion-row>
          <ion-col>
            <ion-input style="width: 200%;" placeholder="Card number" [(ngModel)]="cardNumber" maxlength='16' type="number"> </ion-input>
          </ion-col>
          <ion-col style="margin-left: 40%;">
            <ion-input placeholder="CVC" [(ngModel)]="cvc" maxlength="3" type="number"> </ion-input>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>




  <p style = "margin: 15px;">Name of card</p>
  <div style="text-align: center;">
    <div class = 'box-name'>
      <ion-input [(ngModel)]="name"></ion-input>
    </div>
  </div>


  <p style = "margin: 15px;">Country or region</p>
  <div style="text-align: center;">
    <div class = 'box-country'>
      <ion-input> </ion-input>
    </div>
  </div>

  <p class="text1">TOTAL</p>
  <p class = "text2">${{usdTotal}}</p>
  
  <div style="text-align: center;">
    <div class = 'btn' (click) = "buyProcess()">
      <p style="margin: 14px; font-size: 20;">Pay</p>
    </div>
  </div>

  <!-- <div style="text-align: center;">
    <div class = 'btn' (click) = "test()">
      <p style="margin: 14px; font-size: 20;">Test</p>
    </div>
  </div> -->
</ion-content>
